NameNode.OperationCategory (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: NameNode, enum: OperationCategory

Package org.apache.hadoop.hdfs.server.namenode

# Enum Class NameNode.OperationCategory

java.lang.Object
java.lang.Enum<NameNode.OperationCategory>
org.apache.hadoop.hdfs.server.namenode.NameNode.OperationCategory

All Implemented Interfaces:
  `Serializable`, `Comparable<NameNode.OperationCategory>`, `Constable`

Enclosing class:
  org.apache.hadoop.hdfs.server.namenode.NameNode

public static enum NameNode.OperationCategory extends Enum<NameNode.OperationCategory>
Categories of operations supported by the namenode.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHECKPOINT`
  Operations related to checkpointing
  `JOURNAL`
  Operations related to `JournalProtocol`
  `READ`
  Read operation that does not change the namespace state
  `UNCHECKED`
  Operations that are state agnostic
  `WRITE`
  Write operation that changes the namespace state

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NameNode.OperationCategory`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NameNode.OperationCategory[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNCHECKED

    public static final NameNode.OperationCategory UNCHECKED
    Operations that are state agnostic

  - ### READ

    public static final NameNode.OperationCategory READ
    Read operation that does not change the namespace state

  - ### WRITE

    public static final NameNode.OperationCategory WRITE
    Write operation that changes the namespace state

  - ### CHECKPOINT

    public static final NameNode.OperationCategory CHECKPOINT
    Operations related to checkpointing

  - ### JOURNAL

    public static final NameNode.OperationCategory JOURNAL
    Operations related to `JournalProtocol`

- ## Method Details

  - ### values

    public static NameNode.OperationCategory[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NameNode.OperationCategory valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null